Reply

Weird relations...

Hi there,

 

I'm dealing with the following situation:

 

i've made 2 seperate bsplinecurves and a couple of lines. Now i'm at the part of giving relations between these. I want the end of the line, connected to the startpoint of the bsplinecurve. This works fine. After that, i want the endpoint of the bsplinecurve connect with the startpoint of another line. when i do this, the line is connected to the second keypoint of the curve and not to the endpoint( See image).

 

What am i doing wrong...!??

 

Greetz!

3 REPLIES

Re: Weird relations...

suggest that you share a snippet of your code so that others can take a look.

 

most likley just a sytax issue where you are connecting to the start point of the curve instead of it's end point.???

 

can you sahre your code for us to look at?

 

Re: Weird relations...

Try using the KeyPointCount property of the bspline to find the last point.

LMGi
www.TLMGi.com

Re: Weird relations...

There is a function in the Samples for Solid Edge that will find the end point index.

 

Private Shared Function GetBSplineCurves2dEndKeyPointIndex(ByVal bsplineCurve2d As SolidEdgeFrameworkSupport.BSplineCurve2d) As Integer
			' Keypoint indices are zero-based......
			For i As Integer = 0 To bsplineCurve2d.KeyPointCount - 2
				Dim x As Double = 0
				Dim y As Double = 0
				Dim z As Double = 0
				Dim keypointType As SolidEdgeFramework.KeyPointType
				Dim handleType As Integer = 0

				bsplineCurve2d.GetKeyPoint(Index:= i, x:= x, y:= y, z:= z, KeypointType:= keypointType, HandleType:= handleType)

				If keypointType = SolidEdgeFramework.KeyPointType.igKeyPointEnd Then
					Return i
				End If
			Next i

			Return 0
		End Function

 

LMGi
www.TLMGi.com